[Frage] kb_tv_cont_slide mit Typo3 4.7.19 nicht kompatibel? TYPO3-Version: 4.7.17

  • 0 x
    23 Beiträge
    1 Hilfreiche Beiträge
    21. 09. 2014, 15:46

    Hallo,

    ich habe Typo3 4.7.19 und versuche KB TV Content Slide 0.5.0 zu installieren. Das Installieren geht problemlos, aber wenn ich das Plugin einbinde, verschwindet einfach der Inhalt, welcher eigentlich vererbt werden soll. Mit der Erweiterung hatte ich nie Probleme. Hat jemand eine Idee, woran es liegen könnte?

    Zum Einbinden benutze ich den neuen Code:

    10 = RECORDS
    10.source.postUserFunc = thinkopen_at\KbTvContSlide\SlideController->main
    10.source.postUserFunc.field = field_xxx
    10.source.postUserFunc.table = tt_content
    10.tables = tt_content

    Beim Versuch eine ältere Version (0.4.4) einzubinden, habe ein weisses Bildschirm bekommen und musste die Extension manuel entfernen.

    Ausserdem sind bei mir folgende Erweiterungen installiert:

    Static Info Tables (static_info_tables)
    Static Methods for Extensions (div)
    Library for Extensions (lib)
    One is Enough Library (oelib)
    Ameos Formidable (ameos_formidable)
    Realty Manager (realty)
    News system (news)
    TemplaVoila! (templavoila)
    RealURL: speaking paths for TYPO3 (realurl)


  • 1
  • jenses jenses
    Flash Gordon
    0 x
    3087 Beiträge
    106 Hilfreiche Beiträge
    22. 09. 2014, 08:24

    kb_tv_cont_slide in Version 0.5 ist vorgesehen für TYPO3 ab Version 6.2,
    wie es ja auch so sehr deutlich im TER angezeigt wird, oder? ;)

    Also mußt du die ältere Version nutzen,
    der Code zum Einbinden sieht da allerdings so aus (auch sehr deutlich dokumentiert im mitgelieferten Manual):

    1. 10.source.postUserFunc = tx_kbtvcontslide_pi1->main
    2. 10.source.postUserFunc.field = field_openings
    3. 10.source.postUserFunc.table = tt_content
    4. 10.tables = tt_content

    Wg. deines Problems mit dem weißen Bildschirm solltest du die Fehlermeldungen aktivieren und konsultieren.

  • 0 x
    23 Beiträge
    1 Hilfreiche Beiträge
    23. 09. 2014, 23:07

    Ja, jetzt geht es wieder. Also mit der Version 0.4.4 und dem alten Code. Vorher ging es nicht ohne Grund und jetzt geht es ebenso ohne Grund wieder.

  • 1